- Home
- API Enriched
- Tenant And Identity
- web
- GetLoginEventsInTimeFrame.
GetLoginEventsInTimeFrame.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/login_in_time';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end":"2026-04-15T12:00:00Z","first":1,"max":1,"start":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/login_in_time \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end": "2026-04-15T12:00:00Z", "first": 1, "max": 1, "start": "2026-04-15T12:00:00Z" }'GetLoginEventsInTimeFrame returns login events for specified period of time. It consider all users specified by context tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Contains fields to retrieve events in timeframe.
object
End time
Records per page.
Records per page.
Start time.
Examplegenerated
{ "end": "2026-04-15T12:00:00Z", "first": 1, "max": 1, "start": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”A successful response.
LoginEventsMap is a map from username to list of login events. In can be useful have login events grouped by usernames.
object
Map of login events based on input filter group by username.
object
Examplegenerated
{ "login_events_map": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example